curl --request GET \
--url 'https://api.stateset.com/api/v1/store-credits' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"store_credits": [
{
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"original_balance": "49.00",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending"
}
],
"total": 102
}
List store credits
List store credits
GET
/
api
/
v1
/
store-credits
curl --request GET \
--url 'https://api.stateset.com/api/v1/store-credits' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"store_credits": [
{
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"original_balance": "49.00",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending"
}
],
"total": 102
}
Query parameters
integer (int32)
integer (int32)
string
string
Response
StoreCreditListResponse
StoreCreditResponse[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/store-credits' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"store_credits": [
{
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_balance": "49.00",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"original_balance": "49.00",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"status": "pending"
}
],
"total": 102
}
Last modified on August 31, 2026